Bug 850919 - Please update mingw-libtiff to latest released version from upstream
Please update mingw-libtiff to latest released version from upstream
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw32-libtiff (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 14:16 EDT by greg.hellings
Modified: 2012-09-17 18:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:02:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2012-08-22 14:16:32 EDT
Description of problem:
Available version of mingw32-libtiff (3.9.5) lags behind upstream version (4.0.2).

Version-Release number of selected component (if applicable):
3.9.5

How reproducible:
n/a

Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:
n/a

Expected results:
n/a

Additional info:

I have worked through the update. Source RPM is at
http://dl.thehellings.com/mingw32/mingw-libtiff-4.0.2-1.fc17.src.rpm

fedpkg git update is at
git://thehellings.com/mingw-libtiff.git
in the branch named "update-to-upstream". I have commented out the commands under the %prep section which are unnecessary. I did not test building with them in place. I don't know if this is a change from 3.9.5 or if you prefer to keep the autoreconf, etc commands in place.
Comment 1 Fedora Update System 2012-08-26 06:48:39 EDT
mingw-qt-4.8.2-3.fc18,mingw-cximage-600-7.fc18,mingw-wxWidgets-2.8.12-12.fc18,mingw-libgeotiff-1.3.0-0.7.svn1664.fc18,mingw-SDL_image-1.2.12-7.fc18,mingw-libtiff-4.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt-4.8.2-3.fc18,mingw-cximage-600-7.fc18,mingw-wxWidgets-2.8.12-12.fc18,mingw-libgeotiff-1.3.0-0.7.svn1664.fc18,mingw-SDL_image-1.2.12-7.fc18,mingw-libtiff-4.0.2-1.fc18
Comment 2 Fedora Update System 2012-08-26 12:19:16 EDT
Package mingw-qt-4.8.2-3.fc18, mingw-cximage-600-7.fc18, mingw-wxWidgets-2.8.12-12.fc18, mingw-libgeotiff-1.3.0-0.7.svn1664.fc18, mingw-SDL_image-1.2.12-7.fc18, mingw-libtiff-4.0.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-qt-4.8.2-3.fc18 mingw-cximage-600-7.fc18 mingw-wxWidgets-2.8.12-12.fc18 mingw-libgeotiff-1.3.0-0.7.svn1664.fc18 mingw-SDL_image-1.2.12-7.fc18 mingw-libtiff-4.0.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12733/mingw-qt-4.8.2-3.fc18,mingw-cximage-600-7.fc18,mingw-wxWidgets-2.8.12-12.fc18,mingw-libgeotiff-1.3.0-0.7.svn1664.fc18,mingw-SDL_image-1.2.12-7.fc18,mingw-libtiff-4.0.2-1.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-09-17 18:02:04 EDT
mingw-qt-4.8.2-3.fc18, mingw-cximage-600-7.fc18, mingw-wxWidgets-2.8.12-12.fc18, mingw-libgeotiff-1.3.0-0.7.svn1664.fc18, mingw-SDL_image-1.2.12-7.fc18, mingw-libtiff-4.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.